curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/customFields/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form id=aWdODOBVOlH1RUFKWQke \
--form maxFiles=15{
"uploadedFiles": {
"FileName.csv": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
},
"meta": [
{
"fieldname": "FileName.csv",
"originalname": "FileName.csv",
"encoding": "7bit",
"mimetype": "text/csv",
"size": 2061,
"url": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
}
]
}Uploads File to customFields
curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/customFields/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Version: <version>' \
--form id=aWdODOBVOlH1RUFKWQke \
--form maxFiles=15{
"uploadedFiles": {
"FileName.csv": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
},
"meta": [
{
"fieldname": "FileName.csv",
"originalname": "FileName.csv",
"encoding": "7bit",
"mimetype": "text/csv",
"size": 2061,
"url": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
}
]
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Successful response
Uploaded files
{
"FileName.csv": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
}Meta data of uploaded files
[
{
"fieldname": "FileName.csv",
"originalname": "FileName.csv",
"encoding": "7bit",
"mimetype": "text/csv",
"size": 2061,
"url": "https://highlevel-private-staging.storage.googleapis.com/location/Ar4JQgIyuzRsVuwD9RSK/custom-Field/UpZLmohmKEQYn0ymqplY/56e0d7fc-085c-4a07-9e1d-6d8fdac7e710.csv"
}
]Was this page helpful?